"""
'Armour' is a type of 'Item'.  'Character' uses 'Armour' 'Item's to 'defend()'
against 'hit()'s (see character.py).  'Armour' has an 'armour_class' that
dictates how cumbersome it is to wear.
"""
from nei.item import Item


class Armour(Item):
    
    def __init__(self, name, slot, weight, defence, armour_class):
        # Set name, slot and weight.
        Item.__init__(self, name, slot, weight)
        # Defence rating of the armour represented with integers.
        self.defence = defence
        # The armour class of the armour.  0 - 3.  Represents 'none', 'light',
        # 'medium' and 'heavy'.
        self.armour_class = armour_class
