"""
'Bag' is a type of 'Item' that contains other 'Item's.  The 'weight' of a
'Bag' is equal to the 'Item's in the 'Bag'.  A 'Bag' itself does not have any
'weight', for simplicity's sake.
"""
from nei.item import Item


class Bag(Item):

    def __init__(self, name, slot, capacity):
        # Set name and slot.  Just set weight to 0.  It's a simplification.
        Item.__init__(self, name, slot, 0)
        # Set capacity of bag.
        self.capacity = capacity
        # Items in the bag
        self.inventory = []

    def add_item(self, item):
        # Check that there is room for the item.
        if (item.weight + self.weight > self.capacity):
            return False

        # Add the item to the inventory list.
        self.inventory.append(item)
        # Update the bag weight.
        self.weight = self.weight + item.weight
        return True

    def remove_item(self, item):
        # Remove the item from the inventory list.
        self.inventory.remove(item)
        # Update the bag weight.
        self.weight = self.weight - item.weight
